def isAVL(self):
    if self.filsDroit is not None:
        hD =  self.filsDroit.hauteur()
    else:
        hD = 0
    if self.filsGauche is not None:
        hG = self.filsGauche.hauteur()
    else:
        hG = 0
    if abs(hD-hG) > 1:
        return False   
    if self.filsDroit is not None:
        d = self.filsDroit.isAVL()
		if not d: return d
	if self.filsGauche is not None:
		g = self.filsGauche.isAVL()
		if not g: return g
	return True